<?php

if (!defined('SMF'))
	die('Hacking attempt...');

function ShowGamerCard()
{
	global $smcFunc, $txt, $context, $user_info, $modSettings;

	if (!isset($_GET['area']) || !isset($_GET['u']))
		fatal_lang_error('no_access', false);

	if (!empty($modSettings['guest_hideContacts']) && $user_info['is_guest'])
		fatal_lang_error('no_access', false);

	$platforms = array(
		'xbgt' => 'ShowXbox',
		'psn' => 'ShowPSN',
		'steam' => 'ShowSteam',
		'xfire' => 'ShowXfire'
	);

	$selected_platform = isset($platforms[$_GET['area']]) ? $_GET['area'] : 'xbgt';
	$select_field = 'gamer_' . $selected_platform;

	$disabled_fields = isset($modSettings['disabled_profile_fields']) ? array_flip(explode(',', $modSettings['disabled_profile_fields'])) : array();

	// Make sure the admin hasn't disabled this platform
	if (isset($disabled_fields[$select_field]))
		fatal_lang_error('no_access', false);

	loadTemplate('GamerCard');

	// Load the admin help language file - just for "Close window" text :\
	loadLanguage('Help');

	// Load the member data.
	$request = $smcFunc['db_query']('', '
		SELECT real_name, ' . $select_field . '
		FROM {db_prefix}members
		WHERE id_member = {int:user}
		LIMIT 1',
			array(
				'user' => (int) $_GET['u'],
			)
		);

	// Check we pulled a row from the database.
	if ($smcFunc['db_num_rows']($request) == 0)
		fatal_lang_error('not_a_user', false);

	$row = $smcFunc['db_fetch_row']($request);

	// Populate the context.
	$context['real_name'] = $row[0];
	$context['gamer_name'] = $row[1];

	// May aswell get rid of this.
	unset($row);

	$platforms[$selected_platform]();

	// Set the page title to something relevant.
	$context['page_title'] = $context['real_name'] . ' - ' . $txt['gamer_' . $selected_platform];

	// Don't show any template layers, just the popup sub template.
	$context['template_layers'] = array();
	$context['sub_template'] = 'popup';

}

function ShowXbox()
{
	global $context, $txt;

	// Fix the spaces - for URLs.
	$gamer_spacefix = strtr($context['gamer_name'], array(' ' => '%20'));

	$url = 'http://gamercard.xbox.com/' . $gamer_spacefix . '.card';
	$context['gamer_sidebar'] = '<img src="http://avatar.xboxlive.com/avatar/' . $gamer_spacefix . '/avatar-body.png" alt="" />';
	$context['gamercard'] = ' <iframe src="' . $url . '" scrolling="no" frameborder="0" height="140" width="204">' . $context['gamer_name'] . '</iframe>';

	$context['gamer_links'] = array(
		array(
			'url' => 'http://live.xbox.com/MyXbox/Profile?gamertag=' . $gamer_spacefix,
			'text' => sprintf($txt['gamer_view_profile'], $context['gamer_name']) . ' xbox.com'
		),
		array(
			'url' => 'http://live.xbox.com/MessageCenter/Compose?gamertag=' . $gamer_spacefix,
			'text' => $txt['gamer_send_message'] . ' ' . $context['gamer_name']
		),
		array(
			'url' => 'http://live.xbox.com/GameCenter?compareTo=' . $gamer_spacefix,
			'text' => $txt['gamer_compare_games']
		),
		array(
			'url' => 'http://live.xbox.com/FriendCenter?gamertag=' . $gamer_spacefix,
			'text' => sprintf($txt['gamer_view_friend'], $context['gamer_name'])
		),
	);

}

function ShowPSN()
{
	global $context, $modSettings, $txt;

	// No spaces please.
	$context['gamer_name'] = strtr($context['gamer_name'], array(' ' => ''));

	if (!empty($modSettings['gamer_psn_us']))
		$url = 'http://fp.profiles.us.playstation.com/playstation/psn/pid/' . $context['gamer_name'] . '.png';
	else
		$url = 'http://mypsn.eu.playstation.com/psn/profile/' . $context['gamer_name'] . '.png';

	$context['gamercard'] = '<img src="' . $url . '" alt="" />';
	$context['gamer_links'] = array(
		array(
			'url' => 'http://us.playstation.com/publictrophy/index.htm?onlinename=' . $context['gamer_name'],
			'text' => sprintf($txt['gamer_view_profile'], $context['gamer_name']) . ' us.playstation.com'
		),
	);

}

function ShowSteam()
{
	global $context, $txt;

	$context['gamer_name'] = strtr($context['gamer_name'], array(' ' => ''));
	$url = 'http://badges.steamprofile.com/profile/extended/steam/' . $context['gamer_name'] . '.png';

	$context['gamercard'] = '<img src="' . $url . '" alt="" />';
	$context['gamer_links'] = array(
		array(
			'url' => is_numeric($context['gamer_name']) ? 'http://steamcommunity.com/profiles/' . $context['gamer_name'] : 'http://steamcommunity.com/id/' . $context['gamer_name'],
			'text' => is_numeric($context['gamer_name']) ? $txt['gamer_view_profile_noname']. ' steamcommunity.com' : sprintf($txt['gamer_view_profile'], $context['gamer_name']) . ' steamcommunity.com'
		),
	);

}

function ShowXfire()
{
	global $context, $txt;

	$context['gamer_name'] = strtr($context['gamer_name'], array(' ' => ''));
	$url = 'http://miniprofile.xfire.com/bg/sh/type/0/' . $context['gamer_name'] . '.png';

	$context['gamercard'] = '<img src="' . $url . '" alt="" />';
	$context['gamer_links'] = array(
		array(
			'url' => 'http://profile.xfire.com/' . $context['gamer_name'],
			'text' => sprintf($txt['gamer_view_profile'], $context['gamer_name']) . ' xfire.com'
		),
	);

}
?>